JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
TextEditor::InputFilter Class Referenceabstract
juce_gui_basics » widgets

Base class for input filters that can be applied to a TextEditor to restrict the text that can be entered. More...

`#include <juce_TextEditor.h>`

Inheritance diagram for TextEditor::InputFilter:

## Public Member Functions
| InputFilter ()=default
virtual | ~InputFilter ()=default
virtual String | filterNewText (TextEditor &, const String &newInput)=0
| This method is called whenever text is entered into the editor.

## Detailed Description

Base class for input filters that can be applied to a TextEditor to restrict the text that can be entered.

## Constructor & Destructor Documentation

## ◆ InputFilter()

TextEditor::InputFilter::InputFilter | ( |  | ) |
| default

## ◆ ~InputFilter()

virtual TextEditor::InputFilter::~InputFilter | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ filterNewText()

virtual String TextEditor::InputFilter::filterNewText | ( | TextEditor & | ,
|  | const String & | newInput )
| pure virtual

This method is called whenever text is entered into the editor.

An implementation of this class should should check the input string, and return an edited version of it that should be used.

Implemented in TextEditor::LengthAndCharacterRestriction.

The documentation for this class was generated from the following file:

- juce_TextEditor.h